# f0x.at1

## brief description | Kurzbeschreibung

A development of an intelligent f0x device for ARDF (Amateur Radio Direction Finding). Currently the goal is to produce an 80 m transmitter based on a STM32L4 with a Si5153A.

Eine Entwicklung eines intelligenten f0x-Gerätes für ARDF (Amateurfunkpeilen). Derzeit ist das Ziel, einen 80-m-Sender auf der Basis eines STM32L4 mit einem Si5153A herzustellen.

## Installation and Compiling Software | Installationsanleitung

### Prerequesite | Voraussetzung

A) Installation of | Installieren von

1. Git, git 2.47
2. Git extension for versioning large files, git-lfs 3.5.1
3. STM32CubeIDE 1.16.1 or higher

### Installation Software

In einem Verzeichnis ihrer Wahl (wird später das Verzeichnis, Workspace,
von STM32CubeIDE-Eclipse IDE) wird folgender Befehl abgesetzt,
damit vom Git-Server die notwendigen Dateien gekolont werden:

The following command is issued in a directory of your choice
(will later be the directory, Workspace, of STM32CubeIDE-Eclipse IDE)
so that the necessary files are colonized by the Git server:

```
git clone https://git.kuschel.at/thesis/f0x.at1.git
```
oder falls sie bereits auf dem Git-Server SSH-Schlüssel oder GPG-Daten hinterlegt haben:

or if you have already stored SSH keys or GPG data on the Git server:
```
git clone ssh://git@kuschel.at:21861/thesis/f0x.at1.git
```
